Bug 43157 - Clean up OSL_ASSERT, DBG_ASSERT, etc.
Summary: Clean up OSL_ASSERT, DBG_ASSERT, etc.
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Master old -3.6
Hardware: Other All
: medium normal
Assignee: Not Assigned
QA Contact:
URL: https://wiki.documentfoundation.org/D...
Whiteboard: target:5.2.0 target:5.3.0 target:5.4....
Keywords: difficultyInteresting, skillCpp, topicCleanup
: 39425 88309 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-11-22 01:27 UTC by Stephan Bergmann
Modified: 2017-09-18 22:58 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stephan Bergmann 2011-11-22 01:27:23 UTC
The assertion/logging functionality from osl/diagnose.h (OSL_TRACE, OSL_ASSERT, OSL_ENSURE, OSL_FAIL) and tools/debug.hxx (DBG_ASSERTWARNING, DBG_ASSERT, DBG_BF_ASSERT, DBG_WARNING, DBG_WARNING1--5, DBG_WARNINGFILE, DBG_ERRORFILE) is obsolete and needs to be cleaned up:

* To assert invariants of the code (that can only be violated if there are programming errors) use standard C/C++ assert.

* To log warnings about unusual events (that the code nevertheless needs to handle in some way, like malformed input or I/O failures), use the SAL_WARN... macros from sal/log.h.

* To log other information useful for debugging, use the SAL_INFO... macros.

See <https://wiki.documentfoundation.org/Development#Assertions_and_Logging>, the mail thread at <http://lists.freedesktop.org/archives/libreoffice/2011-November/020864.html>, and the documentation in the sal/log.h header for further information.
Comment 1 Stephan Bergmann 2011-11-22 01:34:07 UTC
Further, sal_detail_logFormat in sal/log.h has a commented-out GCC __attribute__((format)), to catch misuses of its printf-style message composition.  It is used by the SAL_WARN and SAL_INFO macros, which in turn is used by the obsoleted OSL_TRACE, for which many calls currently use ill-formed format strings.  Once those uses are cleaned up (preferably by replacing them with SAL_INFO_S), the __attribute__((format)) should be enabled.
Comment 2 Not Assigned 2012-12-31 12:23:39 UTC
Radu Ioan committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e4429d43f55c52f16130a745d428b89cbf2f0394

fdo#43157 - Clean up OSL_ASSERT, DBG_ASSERT



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Not Assigned 2013-01-14 08:53:40 UTC
Radu Ioan committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d4bca924dd7ebe1b57f15de3e741f0fffcb67225

fdo#43157 - Clean up OSL_ASSERT, DBG_ASSERT



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Mathias Hasselmann 2013-01-22 10:42:03 UTC
How does this bug relate to bug 39425?
Comment 5 Thomas Arnhold 2013-01-22 11:42:34 UTC
*** Bug 39425 has been marked as a duplicate of this bug. ***
Comment 6 Not Assigned 2013-01-31 14:16:45 UTC
Radu Ioan committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f9aabc714af41d7c3dd5cd08b6dc0761db904c4d

fdo#43157 - Clean up OSL_ASSERT, DBG_ASSERT



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Not Assigned 2013-02-05 15:00:58 UTC
Radu Ioan committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f4f727f7bfc848deb82e4df4c6e3b9affaf5f613

fdo#43157 - Clean up OSL_ASSERT, DBG_ASSERT



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Not Assigned 2013-02-19 16:04:42 UTC
Radu Ioan committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ef1d096ddc311a2fd821d4076421c4a8f8d63abf

fdo#43157 - Clean up OSL_ASSERT, DBG_ASSERT



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2013-03-12 23:21:49 UTC
Radu Ioan committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a3d299e15526fdcbcaae269e33a83a9c0b187a5a

fdo#43157 - Clean up OSL_ASSERT, DBG_ASSERT



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2013-04-08 08:30:37 UTC
Radu Ioan committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b20e7e1d11c8765116c415d7dabd3602d88d1103

fdo#43157 - Clean up OSL_ASSERT



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2013-04-17 20:34:14 UTC
Radu Ioan committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d461088eb4dd3b3bf7c2caaab082890ebcf80fea

fdo#43157 - Clean up OSL_ASSERT, DBG_ASSERT



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2013-04-22 08:21:06 UTC
Radu Ioan committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=671b73789b2b09384e278efa0b989560b6606e4f

fdo#43157 - Clean up OSL_ASSERT, DBG_ASSERT



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2013-05-14 14:05:50 UTC
Radu Ioan committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ac937d8be69953abcaf1365644c6607c279f37a6

fdo#43157 - Clean up OSL_ASSERT, DBG_ASSERT



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2013-07-30 13:52:23 UTC
Honza HavliÄek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d7b48d03e19d2c05ecf2143b1547ceab5ab89e5c

fdo#43157 - Clean up OSL_ENSURE



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2013-09-30 13:36:02 UTC
Jacobo Aragunde Perez committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=723afc607ec3e947afa0f2122751ea537bca62bd

fdo#43157 - Clean up OSL_ENSURE



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 16 Björn Michaelsen 2013-10-04 18:46:29 UTC
adding LibreOffice developer list as CC to unresolved EasyHacks for better visibility.

see e.g. http://nabble.documentfoundation.org/minutes-of-ESC-call-td4076214.html for details
Comment 17 Commit Notification 2014-02-05 12:41:28 UTC
Timothy Markle committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=995073b08e69f6616479f5dd4d4094d96f893207

fdo#43157 - Clean up OSL_ASSERT



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 18 Stephan Bergmann 2014-02-05 14:38:33 UTC
(In reply to comment #0)
> See
> <https://wiki.documentfoundation.org/Development#Assertions_and_Logging>,
> the mail thread at
> <http://lists.freedesktop.org/archives/libreoffice/2011-November/020864.
> html>, and the documentation in the sal/log.h header for further information.

The first of those links got stale, use <https://wiki.documentfoundation.org/Development/GeneralProgrammingGuidelines#Assertions_and_Logging> now (as reflected in this issue's URL field now).  Thanks to Caolán for spotting.
Comment 19 Commit Notification 2014-04-03 11:24:53 UTC
Michaël Lefèvre committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c03c9da8c249c2e2a61bab3d6fad325d5934f5e0

fdo#43157 : clean up OSL_POSTCOND



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 20 Commit Notification 2014-04-04 12:24:52 UTC
Michaël Lefèvre committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=453ee351f32494b1f30b477069cc7a1834352377

fdo#43157 : clean up more OSL_POSTCOND



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 21 Commit Notification 2014-04-05 08:48:16 UTC
Michaël Lefèvre committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=22ab56f5e35dff58e1923b693dc33ff252293557

fdo#43157 : clean up OSL_DEBUG_ONLY



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 22 Commit Notification 2014-04-08 09:24:15 UTC
Michaël Lefèvre committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=df2c663fef3435a8c3d541b364780876229ccd29

fdo#43157 [API CHANGE] Remove deprecated _OSL_GLOBAL



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 23 Commit Notification 2014-04-25 09:58:05 UTC
Michaël Lefèvre committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fe075edc27a1fc301c31cfdff5ddbc83e52d929f

fdo#43157 : [API CHANGE] Remove OSL_THIS_FILE



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 24 Commit Notification 2014-05-12 09:33:47 UTC
Michaël Lefèvre committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=70e744b2157ebe48f3a5c839560fedf6521d0464

fdo#43157 Remove OSL_POSTCOND, prefer SAL_WARN_IF



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 25 Mukhiddin Yusupov 2014-05-15 23:12:33 UTC
(In reply to comment #0)
> The assertion/logging functionality from osl/diagnose.h (OSL_TRACE,
> OSL_ASSERT, OSL_ENSURE, OSL_FAIL) and tools/debug.hxx (DBG_ASSERTWARNING,
> DBG_ASSERT, DBG_BF_ASSERT, DBG_WARNING, DBG_WARNING1--5, DBG_WARNINGFILE,
> DBG_ERRORFILE) is obsolete and needs to be cleaned up:
> 
> * To assert invariants of the code (that can only be violated if there are
> programming errors) use standard C/C++ assert.
> 
> * To log warnings about unusual events (that the code nevertheless needs to
> handle in some way, like malformed input or I/O failures), use the
> SAL_WARN... macros from sal/log.h.
> 
> * To log other information useful for debugging, use the SAL_INFO... macros.
> 
> See
> <https://wiki.documentfoundation.org/Development#Assertions_and_Logging>,
> the mail thread at
> <http://lists.freedesktop.org/archives/libreoffice/2011-November/020864.
> html>, and the documentation in the sal/log.h header for further information.

In spite of the fact that many people uploaded commits I found that in some files these obsolete assertions/logging. I am going to change as many of these files as I can.
Comment 26 Commit Notification 2014-05-20 13:17:14 UTC
Mukhiddin Yusupov committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0562a17c64f4016f2d3ba01e1c19c27feadb2543

fdo#43157 - Clean up OSL_ASSERT, DBG_ASSERT



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 27 Commit Notification 2014-05-20 13:48:04 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=92621df9e72b9d4e44e448f92df14c4ba731d5e4

Revert "fdo#43157 - Clean up OSL_ASSERT, DBG_ASSERT"



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 28 Commit Notification 2014-05-22 06:34:51 UTC
Mukhiddin Yusupov committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4c05911b7ef25505acacbb81053a56cf428e9edc

fdo#43157 - Clean up OSL_ASSERT, DBG_ASSERT



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 29 Björn Michaelsen 2014-07-12 20:25:01 UTC
NEEDINFO->NEW: The NEEDINFO state seems to have happened accidentally.
Comment 30 Commit Notification 2014-10-29 11:37:48 UTC
Naruhiko Ogasawara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=922f2005f34589e60969be3f2bf74e4af58e2e69

fdo#43157 - Clean up OSL_ASSERT, DBG_ASSERT

It will be available in 4.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 31 Stephan Bergmann 2015-01-16 09:31:33 UTC
*** Bug 88309 has been marked as a duplicate of this bug. ***
Comment 33 Jitesh 2015-03-12 11:43:47 UTC
Hi! This is my first bug, and I want to solve it. Please guide me. Thank you.
Comment 34 Stephan Bergmann 2015-03-12 11:55:02 UTC
(In reply to Jitesh from comment #33)
> Hi! This is my first bug, and I want to solve it. Please guide me. Thank you.

Jitesh, please ask specific questions.  (And it might often be easier to ask them in the IRC channel or on the mailing list.)

(Also, with a large clean-up task like this, there is no real need to assign it to yourself if you want to work on it.  There is so many places in the codebase that need clean-up that multiple people could work on it in parallel easily.)
Comment 35 Commit Notification 2015-03-13 09:54:26 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ee11e221d2108212619e1bbe7f029e7d9afdba32

tdf#43157: Fix format string violations in OSL_TRACE etc.

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 36 Commit Notification 2015-03-13 17:22:13 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d1c9e5ee53f8609092ea026639c8f28afec1d36a

tdf#43157: Fix format string violations in OSL_TRACE etc.

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 37 Commit Notification 2015-03-14 08:26:10 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=36aafefc064cf5d5df51b7ca7bcc7e2256cefd69

tdf#43157: Fix format string violations in OSL_TRACE etc. (Mac OS X)

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 38 Commit Notification 2015-03-14 08:26:14 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7196df7ac616be39689f21d8784fd78030868586

tdf#43157: Enable format check in sal_detail_logFormat

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 39 Commit Notification 2015-04-08 15:56:46 UTC
Jorge Cunha Mendes committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c2254a12df715f3220f8c070be02b754d6375b40

tdf#43157: remove osl/diagnose.h dependency from sal/osl/unx/socket.cxx

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 40 Robinson Tryon (qubit) 2015-12-14 06:33:38 UTC Comment hidden (obsolete)
Comment 41 Commit Notification 2016-02-02 06:12:34 UTC
aybuke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=91c072b473beadda01a38dbc26086207c7b4d145

tdf#43157: Fix format string violations in OSL_TRACE etc.

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 42 Commit Notification 2016-02-04 12:57:05 UTC
Berk Gureken committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9108dc39525fb1d881d5b4a634039a25ef2d2d25

tdf#43157 Cleanup DBG_ASSERT for fpicker and framework

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 43 aybuke 2016-02-10 21:59:44 UTC
Hi everyone, 

I sent this patch and it compiled succesfully: https://gerrit.libreoffice.org/#/c/21958/
Comment 44 Robinson Tryon (qubit) 2016-02-18 14:52:11 UTC Comment hidden (obsolete)
Comment 45 Commit Notification 2016-02-18 19:23:58 UTC
Arnold Dumas committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8c97225d311af6711ac49755079acd29842afeba

tdf#43157: Clean up OSL_ASSERT, DBG_ASSERT

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 46 Commit Notification 2016-02-18 19:54:18 UTC
aybuke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=05d2684840d3956ff76ed6db00a43cf2d49c8454

tdf#43157 Cleanup DBG_ASSERT for formula module.

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 47 Commit Notification 2016-02-18 20:03:21 UTC
Sedat Ak committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e959fd9e2389727c74631b8b29c5d39b404b390a

tdf#43157 Clean up DBG_ASSERT for svx

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 48 jani 2016-04-25 06:41:53 UTC
This seems to be fixed.
Comment 49 David Tardon 2016-04-25 06:47:49 UTC
It is not--there are still loads of DBG_ASSERT, OSL_ASSERT, OSL_ENSURE, OSL_FAIL, etc.
Comment 50 Commit Notification 2016-06-10 15:35:50 UTC
Arnold Dumas committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e1ca24369142af3e721e789bf757be671e1905b7

tdf#43157: Clean up OSL_TRACE

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 51 Commit Notification 2016-06-13 11:58:09 UTC
krishna keshav committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=46e372a6015033fabf1b2ac1bb46dec993b25178

tdf#43157 Clean up DBG_ASSERT

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 52 jani 2016-06-14 10:00:33 UTC
Controlled still open
Comment 53 Commit Notification 2016-07-04 06:52:24 UTC
Jochen Nitschke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3cc30343bef48c7f19a3b6774cfd500e00258f76

tdf#43157 clean up OSL_ASSERT in connectivity

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 54 jani 2016-08-05 09:14:21 UTC
Please be aware, that this easyhack is considered an important but large scale cosmetic change as described in https://wiki.documentfoundation.org/Development/LargeScaleChanges

It was in decided by the ESC to close this kind of easyhacks, and send them directly as mail, to new contributors.
https://lists.freedesktop.org/archives/libreoffice/2016-August/074920.html

Please do not submit patches with many files !!

This particular easyhack is kept open as an exception to the rule, due to a high wish in the ESC
Comment 55 Commit Notification 2016-08-29 09:17:13 UTC
drazil committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=41ce5e234c5b884b2efd426f46caec2831545b45

tdf#43157 Clean up OSL_ASSERT

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 56 Stephan Bergmann 2016-08-31 07:12:19 UTC
[updated to difficultyInteresting, as it can be very difficult to decide what the right replacement shall be in each case; you typically need a deep understanding of the relevant code]
Comment 57 Commit Notification 2016-09-05 12:54:13 UTC
Gökhan Gurbetoğlu committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f62d22286972d22809fafbd9cb44263d12a6aa85

tdf#43157 - Clean up OSL_ASSERT, DBG_ASSERT, etc.

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 58 Commit Notification 2016-09-05 21:41:15 UTC
drazil committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=12c11e65780e48bc569c1028b0f5efec3373c5ee

tdf#43157 Clean up OSL_ENSURE in FontTable.cxx

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 59 Commit Notification 2016-09-15 19:55:56 UTC
Sophie Su committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5059efab2f982daf041701165d15587794ffbfc7

tdf#43157 clean up OSL_ASSERT in /core/sw/source/core/undo/docundo.cxx

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 60 Commit Notification 2017-01-03 05:20:25 UTC
Muhammet Kara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bd97bca534b61ef302c606ae7452454d5e87910e

tdf#43157 Cleanup OSL_ASSERT in scenwnd.cxx

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 61 Commit Notification 2017-01-03 19:40:08 UTC
Muhammet Kara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=80e6671cacbe1785948de0311be972f897e962d9

tdf#43157 Cleanup DBG_ASSERT in misc.cxx

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 62 Commit Notification 2017-02-06 08:10:52 UTC
dilekuzulmez committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1cf15a4cdde09972e78baee704014099433ac43e

tdf#43157 Clean up OSL_ASSERT, DBG_ASSERT, etc.

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 63 Stephan Bergmann 2017-02-06 09:13:36 UTC
I think this is too difficult for an EasyHack after all (thus removing the keyword).  For somebody not intimately familiar with a piece of code, it can be hard to tell what that code's invariants are (i.e., where to use 'assert' vs. 'SAL_WARN' etc.).  Commits for this issue therefore typically needed multiple iterations (or even got abandoned mid-way), which can cause more frustration for newcomers than help.
Comment 64 Fakabbir amin 2017-02-07 11:07:40 UTC
I am working on core/tools/ directory for cleanup. In order to avoid merge conflict or any repeated work done, if anyone else want to work on the same, please do comment.
Comment 65 Commit Notification 2017-05-07 02:26:54 UTC
Chris Sherlock committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2b1737f648024328390bf44c4f2c614e748a92fd

tdf#43157: convert svx module away from OSL_ASSERT to assert

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 66 Commit Notification 2017-05-07 07:06:17 UTC
Chris Sherlock committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fbea669c74f686f5a75aa80384bbfeff98680f8d

tdf#43157: convert desktop module away from OSL_ASSERT to assert

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 67 Commit Notification 2017-05-07 07:06:54 UTC
Chris Sherlock committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=48de83aa42166f0107ad5d98fce491d21173741f

tdf#43157: convert filter module away from OSL_ASSERT to assert

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 68 Commit Notification 2017-05-07 07:07:29 UTC
Chris Sherlock committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a85694c4c7aae17aae3f419ef935ae5cab39b174

tdf#43157: convert xmlsecurity module away from OSL_ASSERT to assert

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 69 Commit Notification 2017-05-07 07:08:06 UTC
Chris Sherlock committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=825db3204260c8dc9502b997250c42193376322b

tdf#43157: convert cui module away from OSL_ASSERT to assert

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 70 Commit Notification 2017-05-07 07:08:42 UTC
Chris Sherlock committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d8c2e2cdf267d9222629739261519b89a4025ea2

tdf#43157: convert basctl module away from OSL_ASSERT to assert

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 71 Commit Notification 2017-05-07 07:09:18 UTC
Chris Sherlock committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f1ac23866db030bd4489ab79a7e2e669070b9dab

tdf#43157: convert dbaccess module away from OSL_ASSERT to assert

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 72 Commit Notification 2017-05-07 07:09:56 UTC
Chris Sherlock committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fbf171d1adf3e260f6a93217e82a1b74cc4f670c

tdf#43157: convert extensions module away from OSL_ASSERT to assert

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 73 Commit Notification 2017-05-07 07:10:31 UTC
Chris Sherlock committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fb684bbd9d376ae5e3081c236f5d0775b5a93c03

tdf#43157: convert oox module away from OSL_ASSERT to assert

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 74 Commit Notification 2017-05-07 07:11:08 UTC
Chris Sherlock committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9d4d4d8434e5333ecb9464c76aea795dfbd6da2c

tdf#43157: convert scripting module away from OSL_ASSERT to assert

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 75 Commit Notification 2017-05-07 07:11:44 UTC
Chris Sherlock committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=83017d884d58a2fe0ccaf23271ab3e232118ec79

tdf#43157: convert sc module away from OSL_ASSERT to assert

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 76 Commit Notification 2017-05-07 07:12:20 UTC
Chris Sherlock committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=392dbe6fe982e11009e04229e7e5200f838ea4f9

tdf#43157: convert sw module away from OSL_ASSERT to assert

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 77 Commit Notification 2017-05-07 07:12:56 UTC
Chris Sherlock committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=381c43eb5d5455aeb5ed3335e89bb6b56c843080

tdf#43157: convert writerfilter module away from OSL_ASSERT to assert

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 78 Commit Notification 2017-05-07 07:13:32 UTC
Chris Sherlock committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3965f4cb28676133dc37a926e56b4d612e2a57ba

tdf#43157: convert starmath module away from OSL_ASSERT to assert

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 79 Commit Notification 2017-05-07 07:14:09 UTC
Chris Sherlock committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d0a99cc2ed76be220f7e868e332ba19f6e48a440

tdf#43157: convert sd module away from OSL_ASSERT to assert

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 80 Commit Notification 2017-05-08 14:59:26 UTC
Fakabbir Amin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f9f0b6ac12c5d6c73d9aa415a9de5e37105085d8

tdf#43157 Cleanup DBG_ASSERT in pstm.cxx

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 81 Commit Notification 2017-05-14 21:38:15 UTC
Chris Sherlock committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8c0be54a7da6262dffe04357121814dd22b5d7fe

tdf#43157: convert cppcanvas module away from OSL_ASSERT

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 82 Commit Notification 2017-05-27 06:49:22 UTC
Chris Sherlock committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3a6eb7d7e5aaa455d892d63f95cced03d3e32a95

tdf#43157 - registry: convert from OSL_ASSERT to assert

It will be available in 5.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 83 Commit Notification 2017-06-12 10:34:22 UTC
Chris Sherlock committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3c354ea9ed8158143110fda56af22d12e750fc2f

tdf#43157 - salhelper: convert from OSL_ASSERT to assert

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 84 Commit Notification 2017-06-14 11:16:32 UTC
Thomas Beck committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=778a396adef3e62a87f6e9beec0964323ad57f44

tdf#43157 Clean up OSL_ASSERT, DBG_ASSERT, etc.

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 85 Commit Notification 2017-06-18 11:50:16 UTC
Chris Sherlock committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3b0f8ece47f70f53b1462c824463c453b47c3020

tdf#43157 - salhelper: timer.cxx change OSL_ASSERT to assert

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 86 Commit Notification 2017-06-18 16:14:31 UTC
Chris Sherlock committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bca760c294c256fcb1fd3649dbf50f61a4bda474

tdf#43157 - osl: convert OSL_ASSERTs to assert in signalshared.cxx

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 87 Commit Notification 2017-06-25 09:53:36 UTC
Chris Sherlock committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7c6ccc424eec53cac72a9fc81913f6ad780d91aa

tdf#43157 - osl: convert OSL_PRECONDs in w32 & unx file.cxx

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 88 Commit Notification 2017-06-26 09:27:55 UTC
Bernhard Widl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ef151d297c4c490d8694e14f8f556b56cad3325a

fdo#43157 convert OSL_ASSERT to assert in sw/source/core

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 89 Commit Notification 2017-06-27 10:51:51 UTC
Bernhard Widl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=37e7bb9c7803a3d4a3b4c44562487403e274203f

fdo#43157 convert OSL_ASSERT to assert in sw/source

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 90 Commit Notification 2017-06-28 09:51:09 UTC
Bernhard Widl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=25d850cd5b71948b35ca94ccef37653fe88d0829

fdo#43157 convert OSL_ASSERT to assert in sc/source/core

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 91 Commit Notification 2017-06-29 20:34:37 UTC
Bernhard Widl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0ab214536efce0fdecf9a79b58467c5d464c1929

fdo#43157 convert OSL_ASSERT to assert in sd/source/ui/slidesorter/cache

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 92 Commit Notification 2017-06-30 16:05:07 UTC
Bernhard Widl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e1fc7ea54a6dc76378fee8880530b24ca33039b6

fdo#43157 convert OSL_ASSERT to assert in sd/source/ui/slidesorter

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 93 Commit Notification 2017-07-06 13:50:44 UTC
Chris Sherlock committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4b7b93be530dd5b7924588fbc5855c6fd057984c

tdf#43157 - osl: convert OSL_ASSERT in unx & w32 tempfile.cxx

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 94 Commit Notification 2017-07-07 19:25:14 UTC
Chris Sherlock committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6c4224b7ac9d8b016759ae8b5c0afdbef473a16f

tdf#43157 - osl: convert OSL_ASSERT in unx/file_misc.cxx

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 95 Commit Notification 2017-07-18 11:25:34 UTC
Bernhard Widl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b0210c34dcaa5fc44956078ffa1dfe734d379224

fdo#43157 convert OSL_ASSERT to assert in sc/source/filter

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 96 Commit Notification 2017-07-18 11:31:44 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6959aff40692cc02c99efb6781091263f8a25a84

Address b0210c34dcaa5fc44956078ffa1dfe734d379224 nitpicks, tdf#43157 follow-up

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 97 Commit Notification 2017-07-21 05:55:46 UTC
Albert Thuswaldner committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=91325884de5d3c3f838cfdcb1c70d42e5edab149

tdf#43157 - Clean up OSL_ENSURE and OSL_FAIL in sc/filter/lotus

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 98 Commit Notification 2017-08-30 11:53:34 UTC
Grzegorz Araminowicz committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8ff306d81be73cedec940ae996d73f4e3a4a6422

tdf#43157 Clean up OSL_ENSURE in oox/drawingml/diagram

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 99 Commit Notification 2017-09-18 22:58:13 UTC
Ulrich Gemkow committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c686dc4f33c7461a28df95603d06591a3a0171cd

tdf#43157 Replace DBG_ASSERT() with assert() in tabbar.cxx

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.